msgpack::object_parser Class Reference

`#include <object.hpp>`

## Public Member Functions

| object_parser (msgpack::object const &obj)
template<typename Visitor >
void | parse (Visitor &v)

## Constructor & Destructor Documentation

## object_parser()

msgpack::object_parser::object_parser | ( | msgpack::object const & | obj | ) |

inline explicit

## Member Function Documentation

## parse()

template<typename Visitor >

void msgpack::object_parser::parse | ( | Visitor & | v | ) |

inline

References msgpack::type::ARRAY, msgpack::type::BIN, msgpack::type::BOOLEAN, msgpack::type::EXT, msgpack::type::FLOAT32, msgpack::type::FLOAT64, msgpack::type::MAP, msgpack::type::NEGATIVE_INTEGER, msgpack::type::NIL, msgpack::type::POSITIVE_INTEGER, and msgpack::type::STR.

Referenced by msgpack::aligned_zone_size(), msgpack::adaptor::pack< msgpack::object >::operator()(), msgpack::adaptor::object_with_zone< msgpack::object >::operator()(), msgpack::operator<<(), and msgpack::operator==().

The documentation for this class was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/object.hpp